Jak możemy przeczytać na blogu programistów Fundacji Mozilla, zapowiedziała ona zakończenie oficjalnego wsparcia dla całej linii Firefoksa 3.5.x. Wszyscy użytkownicy tejże wersji proszeni są o aktualizację do wersji 3.6.18, 4.0.1 lub najnowszej wersji czyli 5.0.